//區塊管理-未選擇分類顯示預設type=hidden
function neillibrary_no_sort_select_hidden(id,name,hidden_id) {
  //id->checkbox區塊前綴class	
  //name->input的name值
  //prefix->input的id值	
  neilproduct_checkboxtype(); // 預設判斷  
  // 點擊後狀態判斷
  $('body').on('click', ''+id+' input[type=checkbox]', function() {
    neilproduct_checkboxtype();
  });
  function neilproduct_checkboxtype() {
    var showsort = $(''+id+' input[type=checkbox]');
    var checkedval = false;
    showsort.each(function(index) {
      if ($(this).prop('checked')) {
        checkedval = true;
        return false; // 中斷迴圈
      }
    });
    if (!checkedval) {
      if ($('#'+hidden_id).length === 0) {
        $(id).append('<input id="'+hidden_id+'" type="hidden" name="'+name+'" value="0">');
      }
    } else {
      $('#'+hidden_id).remove();
    }
  }
}



//slide燈箱設定
function neillibrary_slider_lightbox(container,clone,element,quantity) {
  // 獲取幻燈片容器
  var sliderContainer = $(container);
  // 固定克隆值為4
  var clonesValue = clone;
  // 獲取當前元件值
  var currentSlides = $(element, sliderContainer).length;
  // 計算克隆數量
  var clonesNeeded = clonesValue - currentSlides;
  // 確保克隆數量不超過克隆值
  clonesNeeded = Math.min(clonesNeeded, clonesValue);
  // 克隆幻燈片
  for (var i = 0; i < clonesNeeded; i++) {
    $(element, sliderContainer).eq(i % currentSlides).clone().appendTo(sliderContainer);
  }
  // 初始化slick.js
  sliderContainer.slick({
    infinite: true,
    centerMode: true,
    slidesToShow: quantity,
    centerPadding: '0px',
    slidesToScroll: quantity
  });
}